Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.security.management.credentials
Class UserPasswordCredential

    java.lang.Object
      com.bea.p13n.security.management.credentials.UserPasswordCredential

All Implemented Interfaces
  Credential

    public class UserPasswordCredential

extends Object
implements Credential

This class represents username and password pair as credential

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.p13n.security.management.credentials.Credential
`Credential.CredentialType`

Constructor Summary
`UserPasswordCredential(String username, char[] password)`

Method Summary
`Credential.CredentialType` | `getCredentialType()` Get the type of this credential object support
`String` | `getPrincipalName()` Get username in clear text
`char[]` | `getPrincipalPassword()` Get password as it from constructor
`Object[]` | `getSecrets()` Get secrets contained in credential object in encrypted format

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserPasswordCredential

    public UserPasswordCredential(String username,
                                  char[] password)

Method Detail

### getPrincipalName

    public String getPrincipalName()

  Get username in clear text

  Returns
    username in clear text

### getPrincipalPassword

    public char[] getPrincipalPassword()

  Get password as it from constructor

  Returns
    password in char array as passed in public constructor

### getCredentialType

    public Credential.CredentialType getCredentialType()

  Get the type of this credential object support

  Specified by:
    `getCredentialType` in interface `Credential`
  Returns
    a predefined credential type

### getSecrets

    public Object[] getSecrets()

  Get secrets contained in credential object in encrypted format

  Specified by:
    `getSecrets` in interface `Credential`
  Returns
    a list of encrypted secrets

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.